---
title: HTMLMediaElement.videoTracks
slug: Web/API/HTMLMediaElement/videoTracks
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Media
  - Property
  - Reference
  - Tracks
  - Video
  - Video Tracks
  - Web
  - videoTracks
---
<div>{{APIRef("HTML DOM")}}{{draft}}</div>

<p><span class="seoSummary">The read-only <strong><code>videoTracks</code></strong> property on {{DOMxRef("HTMLMediaElement")}} objects returns a {{DOMxRef("VideoTrackList")}} object listing all of the {{DOMxRef("VideoTrack")}} objects representing the media element's video tracks.</span></p>

<p>The returned list is <em>live</em>; that is, as tracks are added to and removed from the media element, the list's contents change dynamically. Once you have a reference to the list, you can monitor it for changes to detect when new video tracks are added or existing ones removed. See {{SectionOnPage("/en-US/docs/Web/API/VideoTrackList", "Event handlers")}} to learn more about watching for changes to a media element's track list.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>videoTracks</em> = <em>mediaElement</em>.videoTracks;</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("VideoTrackList")}} object representing the list of video tracks included in the media element. The list of tracks can be accessed using array notation, or using the object's {{domxref("VideoTrackList.getTrackById", "getTrackById()")}} method.</p>

<p>Each track is represented by a {{DOMxRef("VideoTrack")}} object which provides information about the track.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-media-videotracks", "HTMLMediaElement.videoTracks")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.videoTracks")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{DOMxRef("HTMLMediaElement")}}.</li>
 <li>{{HTMLElement("video")}}</li>
 <li>{{DOMxRef("VideoTrack")}} and {{DOMxRef("VideoTrackList")}}</li>
</ul>
